Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.event.rule
Class DefaultAgendaEventListener

    java.lang.Object
      org.drools.event.rule.DefaultAgendaEventListener

All Implemented Interfaces:
  EventListener, AgendaEventListener

    public class DefaultAgendaEventListener

extends Object
implements AgendaEventListener

Constructor Summary
`DefaultAgendaEventListener()`

Method Summary
`void` | `activationCancelled(ActivationCancelledEvent event)`
`void` | `activationCreated(ActivationCreatedEvent event)`
`void` | `afterActivationFired(AfterActivationFiredEvent event)`
`void` | `afterRuleFlowGroupActivated(RuleFlowGroupActivatedEvent event)`
`void` | `afterRuleFlowGroupDeactivated(RuleFlowGroupDeactivatedEvent event)`
`void` | `agendaGroupPopped(AgendaGroupPoppedEvent event)`
`void` | `agendaGroupPushed(AgendaGroupPushedEvent event)`
`void` | `beforeActivationFired(BeforeActivationFiredEvent event)`
`void` | `beforeRuleFlowGroupActivated(RuleFlowGroupActivatedEvent event)`
`void` | `beforeRuleFlowGroupDeactivated(RuleFlowGroupDeactivatedEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultAgendaEventListener

    public DefaultAgendaEventListener()

Method Detail

### activationCancelled

    public void activationCancelled(ActivationCancelledEvent event)

  Specified by:
    `activationCancelled` in interface `AgendaEventListener`

### activationCreated

    public void activationCreated(ActivationCreatedEvent event)

  Specified by:
    `activationCreated` in interface `AgendaEventListener`

### afterActivationFired

    public void afterActivationFired(AfterActivationFiredEvent event)

  Specified by:
    `afterActivationFired` in interface `AgendaEventListener`

### agendaGroupPopped

    public void agendaGroupPopped(AgendaGroupPoppedEvent event)

  Specified by:
    `agendaGroupPopped` in interface `AgendaEventListener`

### agendaGroupPushed

    public void agendaGroupPushed(AgendaGroupPushedEvent event)

  Specified by:
    `agendaGroupPushed` in interface `AgendaEventListener`

### beforeActivationFired

    public void beforeActivationFired(BeforeActivationFiredEvent event)

  Specified by:
    `beforeActivationFired` in interface `AgendaEventListener`

### beforeRuleFlowGroupActivated

    public void beforeRuleFlowGroupActivated(RuleFlowGroupActivatedEvent event)

  Specified by:
    `beforeRuleFlowGroupActivated` in interface `AgendaEventListener`

### afterRuleFlowGroupActivated

    public void afterRuleFlowGroupActivated(RuleFlowGroupActivatedEvent event)

  Specified by:
    `afterRuleFlowGroupActivated` in interface `AgendaEventListener`

### beforeRuleFlowGroupDeactivated

    public void beforeRuleFlowGroupDeactivated(RuleFlowGroupDeactivatedEvent event)

  Specified by:
    `beforeRuleFlowGroupDeactivated` in interface `AgendaEventListener`

### afterRuleFlowGroupDeactivated

    public void afterRuleFlowGroupDeactivated(RuleFlowGroupDeactivatedEvent event)

  Specified by:
    `afterRuleFlowGroupDeactivated` in interface `AgendaEventListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.